Product Hunt collections
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-collections-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"max_items": 2
}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-collections-search"
payload = { "max_items": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-collections-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_collections_search",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Product Hunt — collections\n\n- **Query:** all\n- **Results:** 2\n- **Proxy traffic:** 13.8 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "@rrhoover/collections/_-_",
"name": "¯\\_(ツ)_/¯",
"url": "https://www.producthunt.com/@rrhoover/collections/_-_",
"collection_id": "56173",
"title": "Express yourself with old-school ASCII emoticons",
"description": "Express yourself with old-school ASCII emoticons",
"products_count": 11,
"user": {
"id": "rrhoover",
"name": "Ryan Hoover",
"username": "rrhoover",
"url": "https://www.producthunt.com/@rrhoover",
"headline": null,
"image": "https://ph-avatars.imgix.net/2/original.jpeg"
}
},
"items": [
{
"id": "@rrhoover/collections/_-_",
"name": "¯\\_(ツ)_/¯",
"url": "https://www.producthunt.com/@rrhoover/collections/_-_",
"collection_id": "56173",
"title": "Express yourself with old-school ASCII emoticons",
"description": "Express yourself with old-school ASCII emoticons",
"products_count": 11,
"user": {
"id": "rrhoover",
"name": "Ryan Hoover",
"username": "rrhoover",
"url": "https://www.producthunt.com/@rrhoover",
"headline": null,
"image": "https://ph-avatars.imgix.net/2/original.jpeg"
}
},
{
"id": "collections/0-design-tools",
"name": "$0 Design Tools",
"url": "https://www.producthunt.com/collections/0-design-tools",
"collection_id": "183205",
"title": "A collection of $0 Design Tools to Help You Create Your Next Project",
"description": "A collection of $0 Design Tools to Help You Create Your Next Project",
"products_count": 122,
"user": {
"id": "producthunt",
"name": "Product Hunt",
"username": "producthunt",
"url": "https://www.producthunt.com/@producthunt",
"headline": null,
"image": "https://ph-avatars.imgix.net/92/original.jpeg"
}
}
],
"total_found": null,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 14157
},
"total_points": 2
}Startup & Funding Data
Product Hunt collections
Browse Product Hunt collections page by page, or search them by keyword. 1 point per returned record.
POST
/
functions
/
v1
/
run-producthunt-collections-search
Product Hunt collections
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.